Namespace
elastic
Image / Tag
filebeat:sha256-7026894e70d977d0221368c0a816db2e6d43558f80e2276a796cc5a7a5d32deb
Content Digest
sha256:7026894e70d977d0221368c0a816db2e6d43558f80e2276a796cc5a7a5d32deb
Details
Created

2025-11-06 08:53:31 UTC

Size

133 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2025-10-15T08:06:12Z
  • com.redhat.component
    ubi9-minimal-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • cpe
    cpe:/a:redhat:enterprise_linux:9::appstream
  • description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • distribution-scope
    public
  • io.buildah.version
    1.41.4
  • io.k8s.description
    Filebeat sends log files to Logstash or directly to Elasticsearch.
  • io.k8s.display-name
    Filebeat image
  • io.openshift.expose-services
  • io.openshift.tags
    minimal rhel9
  • license
    Elastic License
  • maintainer
    infra@elastic.co
  • name
    filebeat
  • org.label-schema.build-date
    2025-11-06T08:47:19Z
  • org.label-schema.license
    Elastic License
  • org.label-schema.name
    filebeat
  • org.label-schema.schema-version
    1.0
  • org.label-schema.url
    https://www.elastic.co/beats/filebeat
  • org.label-schema.vcs-ref
    6485e11edf8854d7792dfc2999bf19db37315ea4
  • org.label-schema.vcs-url
    github.com/elastic/beats/v7
  • org.label-schema.vendor
    Elastic
  • org.label-schema.version
    9.2.1
  • org.opencontainers.image.authors
    infra@elastic.co
  • org.opencontainers.image.created
    2025-11-06T08:47:19Z
  • org.opencontainers.image.licenses
    Elastic License
  • org.opencontainers.image.revision
    d1b15a34ce69ea214e1d32f1f501304f6b8b8c59
  • org.opencontainers.image.title
    Filebeat
  • org.opencontainers.image.vendor
    Elastic
  • release
    1
  • summary
    filebeat
  • url
    https://www.elastic.co/beats/filebeat
  • vcs-ref
    d1b15a34ce69ea214e1d32f1f501304f6b8b8c59
  • vcs-type
    git
  • vendor
    Elastic
  • version
    9.2.1

Environment
ELASTIC_CONTAINER

true

GODEBUG

madvdontneed=1

LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE

/

PATH

/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

container

oci


Layers

[#000] sha256:c6433dd149922da27e5f63059096df0b9973aa14a9f0ed326cd7f56ec3614251 - 28.68% (38.1 MB)

[#001] sha256:90f52f80f09e7eee53a1b557879603cf39e6e7159891f093e076d5fec65d1165 - 0.01% (9.54 KB)

[#002] sha256:3e11df722e032c7f7f43238d1267b43c8333754b9c92011b54247e87e81e8862 - 0.0% (611 Bytes)

[#003] sha256:ba1fc48ded4f1347fe678ce792bd6ea46daa2b00ddeb855ba3a7a8aa8386976a - 0.0% (617 Bytes)

[#004] sha256:c3a879acedf807fd038134c5e4357a839072af0aaea5fb4cb9f712f268249c4d - 51.94% (68.9 MB)

[#005] sha256:afe9739fee52aae0657fc63eaab1ddc54cd175abb582fd3e5f2cc449ee07123f - 0.0% (125 Bytes)

[#006] sha256:549a328ec993e7c7a00dbf623209209d7198edc797fc25add18774564d4213b9 - 0.0% (5.47 KB)

[#007] sha256:f117e26cf815c3b1c2ca8deca5549a86c5fec43c15dda9721274a5e1db86a2d9 - 0.16% (221 KB)

[#008] sha256:bb5271b02600aa01efee9e7acc441e4a4c58b575a9175ac0181608ebf3bd6a5e - 0.0% (514 Bytes)

[#009] sha256:f83ce94b8e217f9cbefb23fbe39d85ca881eac0c258cd0ed20c7f0ce90045740 - 0.0% (1.12 KB)

[#010] sha256:4c14c2fbc999bbfef6231e7f676559e3ad985bd294e6e7b751ca345556554d60 - 19.21% (25.5 MB)

[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)


History
2025-10-15 08:06:32 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2025-10-15 08:06:32 UTC

/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."

2025-10-15 08:06:32 UTC

/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"

2025-10-15 08:06:32 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.6" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"

2025-10-15 08:06:32 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2025-10-15 08:06:32 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."

2025-10-15 08:06:33 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-10-15 08:06:33 UTC

/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2025-10-15 08:06:33 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"

2025-10-15 08:06:33 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2025-10-15 08:06:33 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"

2025-10-15 08:06:33 UTC

/bin/sh -c #(nop) ENV container oci

2025-10-15 08:06:34 UTC

/bin/sh -c #(nop) COPY dir:f15650dcc2939ee0c30865212b61e6718fd6c24de4e7967bf7b651b8f0b24352 in /

2025-10-15 08:06:34 UTC

/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.

2025-10-15 08:06:34 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-10-15 08:06:34 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json

2025-10-15 08:06:34 UTC

/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json

2025-10-15 08:06:34 UTC

/bin/sh -c #(nop) COPY file:16bf5aac480286f91e3031d4f1acb4e76fb8c3be38d180e4713a0efdc39d6bad in /root/buildinfo/labels.json

2025-10-15 08:06:35 UTC

/bin/sh -c #(nop) LABEL "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="d1b15a34ce69ea214e1d32f1f501304f6b8b8c59" "org.opencontainers.image.revision"="d1b15a34ce69ea214e1d32f1f501304f6b8b8c59" "build-date"="2025-10-15T08:06:12Z" "release"="1760515502"org.opencontainers.image.revision=d1b15a34ce69ea214e1d32f1f501304f6b8b8c59

2025-11-06 08:53:12 UTC (buildkit.dockerfile.v0)

LABEL org.label-schema.build-date=2025-11-06T08:47:19Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.2.1 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=6485e11edf8854d7792dfc2999bf19db37315ea4 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-11-06T08:47:19Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.2.1 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.

2025-11-06 08:53:12 UTC (buildkit.dockerfile.v0)

ENV ELASTIC_CONTAINER=true

2025-11-06 08:53:12 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-11-06 08:53:12 UTC (buildkit.dockerfile.v0)

ENV GODEBUG=madvdontneed=1

2025-11-06 08:53:12 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit

2025-11-06 08:53:12 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit

2025-11-06 08:53:13 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit

2025-11-06 08:53:25 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat /usr/share/filebeat # buildkit

2025-11-06 08:53:25 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir /licenses # buildkit

2025-11-06 08:53:25 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit

2025-11-06 08:53:25 UTC (buildkit.dockerfile.v0)

COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit

2025-11-06 08:53:25 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit

2025-11-06 08:53:26 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit

2025-11-06 08:53:31 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit

2025-11-06 08:53:31 UTC (buildkit.dockerfile.v0)

USER 1000

2025-11-06 08:53:31 UTC (buildkit.dockerfile.v0)

ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/

2025-11-06 08:53:31 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/share/filebeat

2025-11-06 08:53:31 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]

2025-11-06 08:53:31 UTC (buildkit.dockerfile.v0)

CMD ["--environment" "container"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete